/*
 * Instance header file for ATSAME70Q21B
 *
 * Copyright (c) 2025 Microchip Technology Inc. and its subsidiaries.
 *
 * SPDX-License-Identifier: Apache-2.0
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

/* file generated from device description file (ATDF) version 2023-03-27T04:09:33Z */
#ifndef _SAME70_AFEC0_INSTANCE_
#define _SAME70_AFEC0_INSTANCE_


/* ========== Instance Parameter definitions for AFEC0 peripheral ========== */
#define AFEC0_CLOCK_ID                           (29)       
#define AFEC0_DMAC_ID_RX                         (35)       
#define AFEC0_INSTANCE_ID                        (29)       
#define AFEC0_TEMP_SENSOR_CH_NUM                 (11)       /* Temperature Sensor Channel */
#define AFEC0_TRGSEL_AFEC_TRIG0                  (0x0)      /* External ADC Trigger Input (AFE0_ADTRG pin) */
#define AFEC0_TRGSEL_AFEC_TRIG1                  (0x1)      /* TC0 Channel 0 Output (TIOA0) */
#define AFEC0_TRGSEL_AFEC_TRIG2                  (0x2)      /* TC0 Channel 1 Output (TIOA1) */
#define AFEC0_TRGSEL_AFEC_TRIG3                  (0x3)      /* TC0 Channel 2 Output (TIOA2) */
#define AFEC0_TRGSEL_AFEC_TRIG4                  (0x4)      /* PWM0 event line 0 */
#define AFEC0_TRGSEL_AFEC_TRIG5                  (0x5)      /* PWM0 event line 1 */
#define AFEC0_TRGSEL_AFEC_TRIG6                  (0x6)      /* Analog Comparator Fault Output */

#endif /* _SAME70_AFEC0_INSTANCE_ */
